<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('slug')->unique();

            $table->text('description')->nullable();

            $table->decimal('price', 10, 2);
            $table->decimal('sale_price', 10, 2)->nullable();

            $table->decimal('weight', 8, 2)->nullable();

            $table->string('unit')->default('kg');

            $table->integer('stock')->default(0);

            $table->boolean('is_available')->default(true);
            $table->boolean('is_featured')->default(false);

            $table->string('thumbnail')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
        Schema::create('category_product', function (Blueprint $table) {

            $table->id();

            $table->foreignId('category_id')
                ->constrained()
                ->cascadeOnDelete();

            $table->foreignId('product_id')
                ->constrained()
                ->cascadeOnDelete();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
          Schema::dropIfExists('category_product');

        Schema::dropIfExists('products');
    }
};
